Package picard.sam.markduplicates

# Class MarkDuplicatesForFlowArgumentCollection

java.lang.Object
picard.sam.markduplicates.MarkDuplicatesForFlowArgumentCollection

public class MarkDuplicatesForFlowArgumentCollection extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`MarkDuplicatesForFlowArgumentCollection.FLOW_DUPLICATE_SELECTION_STRATEGY`

## Field Summary

Fields
Modifier and Type
Field
Description
`MarkDuplicatesForFlowArgumentCollection.FLOW_DUPLICATE_SELECTION_STRATEGY`
`FLOW_DUP_STRATEGY`
`int`
`FLOW_EFFECTIVE_QUALITY_THRESHOLD`
`boolean`
`FLOW_MODE`
`boolean`
`FLOW_Q_IS_KNOWN_END`
`int`
`FLOW_SKIP_FIRST_N_FLOWS`
`int`
`FLOW_UNPAIRED_END_UNCERTAINTY`
`int`
`FLOW_UNPAIRED_START_UNCERTAINTY`
`boolean`
`FLOW_USE_END_IN_UNPAIRED_READS`
`boolean`
`FLOW_USE_UNPAIRED_CLIPPED_END`

## Constructor Summary

Constructors
Constructor
Description
`MarkDuplicatesForFlowArgumentCollection()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLOW_MODE

@Argument(doc="enable parameters and behavior specific to flow based reads.", optional=true) public boolean FLOW_MODE

### FLOW_DUP_STRATEGY

@Argument(doc="Use specific quality summing strategy for flow based reads. Two strategies are available: FLOW_QUALITY_SUM_STRATEG: The selects the read with the best total homopolymer quality. FLOW_END_QUALITY_STRATEGY: The strategy selects the read with the best homopolymer quality close to the end (10 bases) of the read. The latter strategy is recommended for samples with high duplication rate ", optional=true) public MarkDuplicatesForFlowArgumentCollection.FLOW_DUPLICATE_SELECTION_STRATEGY FLOW_DUP_STRATEGY

### FLOW_USE_END_IN_UNPAIRED_READS

@Argument(doc="Make the end location of single end read be significant when considering duplicates, in addition to the start location, which is always significant (i.e. require single-ended reads to start andend on the same position to be considered duplicate) (for this argument, \"read end\" means 3\' end).", optional=true) public boolean FLOW_USE_END_IN_UNPAIRED_READS

### FLOW_USE_UNPAIRED_CLIPPED_END

@Argument(doc="Use position of the clipping as the end position, when considering duplicates (or use the unclipped end position) (for this argument, \"read end\" means 3\' end).", optional=true) public boolean FLOW_USE_UNPAIRED_CLIPPED_END

### FLOW_UNPAIRED_END_UNCERTAINTY

@Argument(doc="Maximal difference of the read end position that counted as equal. Useful for flow based reads where the end position might vary due to sequencing errors. (for this argument, \"read end\" means 3\' end)", optional=true) public int FLOW_UNPAIRED_END_UNCERTAINTY

### FLOW_UNPAIRED_START_UNCERTAINTY

@Argument(doc="Maximal difference of the read start position that counted as equal. Useful for flow based reads where the end position might vary due to sequencing errors. (for this argument, \"read start\" means 5\' end in the direction of sequencing)", optional=true) public int FLOW_UNPAIRED_START_UNCERTAINTY

### FLOW_SKIP_FIRST_N_FLOWS

@Argument(doc="Skip first N flows, starting from the read\'s start, when considering duplicates. Useful for flow based reads where sometimes there is noise in the first flows (for this argument, \"read start\" means 5\' end).", optional=true) public int FLOW_SKIP_FIRST_N_FLOWS

### FLOW_Q_IS_KNOWN_END

@Argument(doc="Treat position of read trimming based on quality as the known end (relevant for flow based reads). Default false - if the read is trimmed on quality its end is not defined and the read is duplicate of any read starting at the same place.", optional=true) public boolean FLOW_Q_IS_KNOWN_END

### FLOW_EFFECTIVE_QUALITY_THRESHOLD

@Argument(doc="Threshold for considering a quality value high enough to be included when calculating FLOW_QUALITY_SUM_STRATEGY calculation.", optional=true) public int FLOW_EFFECTIVE_QUALITY_THRESHOLD

## Constructor Details

### MarkDuplicatesForFlowArgumentCollection

public MarkDuplicatesForFlowArgumentCollection()